Bug 1726566 - CVE-2019-13178 calamares: race condition in modules/luksbootkeyfile/main.py [fedora-all]
Summary: CVE-2019-13178 calamares: race condition in modules/luksbootkeyfile/main.py [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calamares
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-13178
TreeView+ depends on / blocked
 
Reported: 2019-07-03 07:56 UTC by Dhananjay Arunesh
Modified: 2019-08-13 01:59 UTC (History)
4 users (show)

Fixed In Version: calamares-3.2.11-1.fc30 calamares-3.2.11-1.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-13 01:01:48 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-03 07:56:31 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-07-03 07:56:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1726565,1726566

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Kevin Kofler 2019-07-03 10:08:54 UTC
I will prepare an update when upstream releases a release with the fix, which should happen this week.

Comment 3 Kevin Kofler 2019-07-08 18:07:01 UTC
Calamares 3.2.11 was released yesterday. I am preparing a security update.

Comment 4 Fedora Update System 2019-07-08 22:50:44 UTC
FEDORA-2019-e61a85c2bb has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e61a85c2bb

Comment 5 Fedora Update System 2019-07-09 01:22:18 UTC
calamares-3.2.11-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-50ee491d76

Comment 6 Fedora Update System 2019-07-09 03:19:51 UTC
calamares-3.2.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e61a85c2bb

Comment 7 Fedora Update System 2019-08-13 01:01:48 UTC
calamares-3.2.11-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-08-13 01:59:01 UTC
calamares-3.2.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.